<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.1">
  <compound kind="class">
    <name>Kate::Application</name>
    <filename>classKate_1_1Application.html</filename>
    <member kind="function">
      <type></type>
      <name>Application</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a2f1c0fca107619de404c517e0b020379</anchor>
      <arglist>(void *application)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Application</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a7a66de458b1f608f9a6fe5c1da1af1bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::DocumentManager *</type>
      <name>documentManager</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>ae2870f3126664982630f677b2e337560</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::DockViewBase</name>
    <filename>classKate_1_1DockViewBase.html</filename>
    <member kind="function">
      <type></type>
      <name>DockViewBase</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>aedcb0791332825a9e4354a805979861d</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DockViewBase</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>aac7dc88113b79ee9019c64b01c1f0939</anchor>
      <arglist>(const TQString &amp;prefix, const TQString &amp;title, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitlePrefix</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>af1fee665c422d6b77fc87dce6493bfee</anchor>
      <arglist>(const TQString &amp;prefix)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>titlePrefix</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a1212cf69a493aec974efc5fb98632ed9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a82294b08a498969a03d500696bad84fe</anchor>
      <arglist>(const TQString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a4e12d04cc9a2c7f4ed74a066aaf43d58</anchor>
      <arglist>(const TQString &amp;prefix, const TQString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>title</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>aebec9dbf70a7a3f3afdb75bd228cebc2</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::DocumentManager</name>
    <filename>classKate_1_1DocumentManager.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>documentChanged</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a14048bfacb2a8a98ee2f30eeb9ba857c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>documentCreated</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>abc7b25799e954f5569254d983b8954e0</anchor>
      <arglist>(Kate::Document *document)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>documentDeleted</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>abeafb295e529d00eefb0ba073b2a524e</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="function">
      <type>class Document *</type>
      <name>document</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a88aa05e6d0a1482fc0deead4a403ca5e</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="function">
      <type>class Document *</type>
      <name>activeDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a02000379fcc1cb60dee60ba601959a48</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>class Document *</type>
      <name>documentWithID</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>aa9714d1194d183ccdb2b9eda320c57e3</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>findDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>acdddb70eb848a7fdfac15a5dfaf53a80</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a3508e9c50414ff76040c1fd44fe853bc</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>documents</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a37ec9a8fb4b1c64673eb44bd4239ec6b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>class Document *</type>
      <name>openURL</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>ac8e2ad2aea8c9425cc38d9122c8c3f6e</anchor>
      <arglist>(const KURL &amp;url, const TQString &amp;encoding=TQString::null, uint *id=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a82449f6734bfa2fcc4a8153059c160ef</anchor>
      <arglist>(class Document *document)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a3667660bbb37ce82b7736aa06d586521</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocumentWithID</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>aeadf1a8fc3014b5c720080c56986adae</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeAllDocuments</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a34c83e9355bd190b27ae27ef36dc5201</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateApp</name>
    <filename>classKateApp.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>optionsChanged</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a072e0063893b1e08928892c3e7ac43c5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateApp</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>abf17b1a3bf71fc20d8f6dc90203388fe</anchor>
      <arglist>(TDECmdLineArgs *args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateApp</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a722448532cdf42ceefedea94f446e393</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::Application *</type>
      <name>application</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a17859d0ee4c7cb3edc6a8ad3555867dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>shutdownKate</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a3c305c1ae297f15b17a5636009d24af3</anchor>
      <arglist>(KateMainWindow *win)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>shouldExit</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a0d120381517384714f183469fb9e3e25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>query_session_close</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a06a35b8406cbcfcf224afe47f64f9398</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reparse_config</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a14695972e3df21c24bb42429a96f06e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KatePluginManager *</type>
      <name>pluginManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>ab241171f4fc67b7ec2a67b0e4b4e1275</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateDocManager *</type>
      <name>documentManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a9581bcf11d7ef0697783d51e4b2ed3af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateSessionManager *</type>
      <name>sessionManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>aed3fb3f1422e889c3eab648fe10aa18a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>newMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a3b7cf8d97b267b42b557ee904548efba</anchor>
      <arglist>(TDEConfig *sconfig=0, const TQString &amp;sgroup=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>afb460a38e26ac16d812756dc4c122aab</anchor>
      <arglist>(KateMainWindow *mainWindow)</arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>activeMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a97906a43d0b89f790861ca5f7d73127e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>mainWindows</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>ac3ca34406bef17e48d846e4e0f31ec2d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>mainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a7199fa7b27e6e194357fc27f97caa3d2</anchor>
      <arglist>(uint n)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>abbff9a6f466d034a97cad58a337054e4</anchor>
      <arglist>(const KURL &amp;url, const TQString &amp;encoding, bool isTempFile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setCursor</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>ac5c9ad522b0c493382a49c0053d4ec9b</anchor>
      <arglist>(int line, int column)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openInput</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>ae09e30c3899c7912c51f0a107f581d36</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KateApp *</type>
      <name>self</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a842f71522bc9940b27ed97e573a963e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>kateVersion</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a96126f33fb46676351ce495d21a23132</anchor>
      <arglist>(bool fullVersion=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateConsole</name>
    <filename>classKateConsole.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotPipeToConsole</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>afc6475034caa19f50f46b4006433f4d8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateConsole</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>ac7337726753440879f150f58b083beb7</anchor>
      <arglist>(KateMainWindow *mw, KateMDI::ToolView *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateConsole</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>af6fe836b9b5e6da0fa578da9c982e20b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cd</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>a7a4534b32b1738aa100cc8a55b8ace31</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendInput</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>ab5170a5d3e854c46d5505d9e55fe25c6</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showEvent</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>a739cc6000193791d287ab4fcb965a53a</anchor>
      <arglist>(TQShowEvent *ev)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalTool</name>
    <filename>classKateExternalTool.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>a81dfb778c30216bf84e865d42c280410</anchor>
      <arglist>(const TQString &amp;mimetype) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkExec</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>a5ffd79639259ae2dd3d58d0e6f605a61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>ab2aa003424f08ab9a83830f79bd77d98</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>command</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>afba71b415fa60788c61fdc943e5dd5f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>icon</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>abbeeb013abf3ea828a3a0dc3e937762d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>tryexec</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>af0315b868f9ed870f83cfbecf4f8529e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQStringList</type>
      <name>mimetypes</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>a3f15e8b2d5c18c72c9b2ca7317c09999</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>hasexec</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>ae9aa86218c10e6616f305df76416dfb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>acname</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>ab215db4061eb6d41459b30dd4d3702a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>cmdname</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>aaaa7d5125d70b5deb7d52f397e3299e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>save</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>a018b408c1328f49b292beb971f5b4cc5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolAction</name>
    <filename>classKateExternalToolAction.html</filename>
  </compound>
  <compound kind="class">
    <name>KateExternalToolsCommand</name>
    <filename>classKateExternalToolsCommand.html</filename>
  </compound>
  <compound kind="class">
    <name>KateExternalToolsConfigWidget</name>
    <filename>classKateExternalToolsConfigWidget.html</filename>
  </compound>
  <compound kind="class">
    <name>KateExternalToolServiceEditor</name>
    <filename>classKateExternalToolServiceEditor.html</filename>
  </compound>
  <compound kind="class">
    <name>KateExternalToolsMenuAction</name>
    <filename>classKateExternalToolsMenuAction.html</filename>
    <member kind="function">
      <type>void</type>
      <name>reload</name>
      <anchorfile>classKateExternalToolsMenuAction.html</anchorfile>
      <anchor>a5743dc7e7b4f76db210b928d6e28023e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateMailDialog</name>
    <filename>classKateMailDialog.html</filename>
    <member kind="function">
      <type>TQPtrList&lt; Kate::Document &gt;</type>
      <name>selectedDocs</name>
      <anchorfile>classKateMailDialog.html</anchorfile>
      <anchor>aa147a5e59735dac9e85906afddc3516e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateMwModOnHdDialog</name>
    <filename>classKateMwModOnHdDialog.html</filename>
  </compound>
  <compound kind="class">
    <name>KateSession</name>
    <filename>classKateSession.html</filename>
    <member kind="function">
      <type></type>
      <name>KateSession</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>a81438abd2d3c73064a37a0850b89e573</anchor>
      <arglist>(const KateSessionManager &amp;manager, const TQString &amp;sessionName, const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateSession</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>aa63581d1dff4efea35c6c7984ef60bf1</anchor>
      <arglist>(const KateSession &amp;session, const TQString &amp;newSessionName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateSession</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>aa98afced2edbc6a5d018bd4f80b0fbfa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>getSessionName</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>a0bfc5a8d38da81967c113f7e2a6156bd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSessionName</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>ac629ee02c658721ed19f217f2fa3ff82</anchor>
      <arglist>(const TQString &amp;sessionName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>a9ff06ff3c359281f84e7a11fcd46785a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>ad5fc4ffb0a2fd79170c9f788c6146bf3</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>getSessionFilename</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>ac9171231aa741d8fae66bb43006c2041</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isStillVolatile</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>a4a0867f0373153d9248d437646c2142f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getDocCount</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>a1ed6f3601f28fc96fb7d198a782d09e8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>a44a23671c3bdadf6d0784854c32010fc</anchor>
      <arglist>(bool includeGUIInfo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>a253fffacf30eed7dd5d96da54f6e4e87</anchor>
      <arglist>(bool saveGUIInfo, bool setReadOnly=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>activate</name>
      <anchorfile>classKateSession.html</anchorfile>
      <anchor>af5bec130e9542905a56b646d8719628a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateSessionManager</name>
    <filename>classKateSessionManager.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>switchOptionChanged</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a3c26f42925835f4ff7df7634c6c2868f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sessionActivated</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a458b46819eabea3825f5736dc59c33ca</anchor>
      <arglist>(int newSessionId, int oldSessionId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sessionCreated</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a028e186335801b8e02009c871927a91a</anchor>
      <arglist>(int sessionId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sessionSaved</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>acff491eb48acf281c9940d086e29d3f2</anchor>
      <arglist>(int sessionId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sessionDeleted</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a2be32842d39b8acf746380f289b7ed6c</anchor>
      <arglist>(int sessionId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sessionsSwapped</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>aaaa4b4d423635a0f24cf341d37af6301</anchor>
      <arglist>(int sessionIdMin, int sessionIdMax)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sessionRenamed</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a04d0294489aa8620edf4661ceb4f9652</anchor>
      <arglist>(int sessionId)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateSessionManager</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a19b6fe360ba1adbbc178843ba1c07c4a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveConfig</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a9197faf6eed2d25fab51788e0dbd63ef</anchor>
      <arglist>(bool saveSessions)</arglist>
    </member>
    <member kind="function">
      <type>const int</type>
      <name>getStartupOption</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a956d829eaa135450194b7565914986a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const int</type>
      <name>getSwitchOption</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a6dd926add32c75a90602525d248b7c4b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSwitchOption</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>aff763c64aae712832d0bae2ce990bee4</anchor>
      <arglist>(int option)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>getBaseDir</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a6600f85cb14e166fe6608cd511dd946b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getSessionCount</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a25218681df99bac156be0070b2057dff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getActiveSessionId</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a7cd3e9cf32a9c803f516a2d06bd1f1ee</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>getActiveSessionName</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a63b1aa2a7d34c0d5f14ae7d1dc80d88d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>getSessionName</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a871ce03ba506b0606fb1906afd8d3571</anchor>
      <arglist>(int sessionId)</arglist>
    </member>
    <member kind="function">
      <type>KateSession *</type>
      <name>getActiveSession</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a92e00d8663f716cc17d620285fa007e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateSession *</type>
      <name>getSessionFromId</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>afe75fdb1ad9659f74bc70afb836592f8</anchor>
      <arglist>(int sessionId)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getSessionIdFromName</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a350a5a73c830d3a9cfc7fbe8bde909b3</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; KateSession &gt; &amp;</type>
      <name>getSessionsList</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a120af8bac1cd6977d4fdfbb5ccb1cfc8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>activateSession</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>aff7304104d772ab1cf34b8c16e90209d</anchor>
      <arglist>(int sessionId, bool saveCurr=true)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>newSession</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a4f6e4b82dca42e4f9b5c19bf8073167b</anchor>
      <arglist>(const TQString &amp;sessionName=TQString::null, bool saveCurr=true)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>cloneSession</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>afe2421b32fac3277dd55725f0061b26b</anchor>
      <arglist>(int sessionId, const TQString &amp;sessionName=TQString::null, bool activate=true, bool deleteCurr=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reloadActiveSession</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a80b1ec6b0032cba664d201fbe4577461</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>restoreLastSession</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a51a57cb4eb5296ffb0ea8895a3c962f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveActiveSession</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a154696d68dc458afa82957f6ea6ef1cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSession</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a99d7c7fce68de71b6bd6afb3487a05c4</anchor>
      <arglist>(int sessionId)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deleteSession</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a297aae230d05aaf7bae707f4184c0c34</anchor>
      <arglist>(int sessionId, int actSessId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>moveSessionForward</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>ab3760791abd9989bb43b68b421054827</anchor>
      <arglist>(int sessionId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>moveSessionBackward</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a5e10a8dc143d9973f34fdb05a10a4066</anchor>
      <arglist>(int sessionId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>renameSession</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>ae9ccc9552c25fd3ce8211c5a4df94e25</anchor>
      <arglist>(int sessionId, const TQString &amp;newSessionName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSessionReadOnlyStatus</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a34117588a89ab59acdbb2ba28d61ced5</anchor>
      <arglist>(int sessionId, bool readOnly)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KateSessionManager *</type>
      <name>self</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a3da788a690f10940fab798875b946e5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateSessionOptions</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a0332d9f3dc001d8a06e49c016a251da0</anchor>
      <arglist>(int optionType)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveSessionOptions</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a290e34bc58a8afd9cd99970d385e3502</anchor>
      <arglist>(int optionType)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>swapSessionsPosition</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>a9ea3ba98ea6bac1532ae769d402a4ad7</anchor>
      <arglist>(int sessionId1, int sessionId2)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveSession</name>
      <anchorfile>classKateSessionManager.html</anchorfile>
      <anchor>ae7a73e75b335ea3f43e71afc73d61066</anchor>
      <arglist>(int sessionId, bool saveGUIInfo, bool setReadOnly=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::PluginManager</name>
    <filename>classKate_1_1PluginManager.html</filename>
    <member kind="function">
      <type>class Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>acddf4d677db63e06d6621dbd9d3af88a</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>pluginAvailable</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a44dcac9f0199f1719db3e57da84b6da5</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>class Plugin *</type>
      <name>loadPlugin</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>afe97317e4b6a1671c907acc89e8cdce9</anchor>
      <arglist>(const TQString &amp;name, bool permanent=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadPlugin</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a680248c7cca2139b4033955359dc74d1</anchor>
      <arglist>(const TQString &amp;name, bool permanent=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateMDI::Splitter</name>
    <filename>classKateMDI_1_1Splitter.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>isLastChild</name>
      <anchorfile>classKateMDI_1_1Splitter.html</anchorfile>
      <anchor>a52087f4b708c80e8834820aa3c045e7f</anchor>
      <arglist>(TQWidget *w) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ToolViewManager</name>
    <filename>classKate_1_1ToolViewManager.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Position</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>ac8a407152a5afb4bede45ecfac581c41</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ToolViewManager</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a48d298fa290e38d80b70593eac8c1836</anchor>
      <arglist>(void *toolViewManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ToolViewManager</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a248f93b9c2c231f423ff73a933dae84c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>createToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a518967fa7f8c0dbfb445c6a6e2968ff5</anchor>
      <arglist>(const TQString &amp;identifier, ToolViewManager::Position pos, const TQPixmap &amp;icon, const TQString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>moveToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>adef45bc087cca218f70662cabf79a711</anchor>
      <arglist>(TQWidget *widget, ToolViewManager::Position pos)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>aa71e9ad88b418c960c5e7e60821f8861</anchor>
      <arglist>(TQWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a343e3959108e9b063d652a4ac1fec4bd</anchor>
      <arglist>(TQWidget *widget)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ViewManager</name>
    <filename>classKate_1_1ViewManager.html</filename>
    <member kind="slot">
      <type>Kate::View *</type>
      <name>activeView</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>aae3295c0242a2824c72bfc05f2ed8290</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateView</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>a9435d759287e3946387eaca7a13ace61</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>openURL</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>a491127300ba41e210493f4bc3b063b25</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>viewChanged</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>aca581a68c02666a4c88b1994ac2276a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ViewManager</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>ae5a14b83347f6bf3b3d04308cf293941</anchor>
      <arglist>(void *viewManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewManager</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>a1a8fb10c9ac72a0074b852832816478a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Kate</name>
    <filename>namespaceKate.html</filename>
    <class kind="class">Kate::Application</class>
    <class kind="class">Kate::DocumentManager</class>
    <class kind="class">Kate::PluginManager</class>
    <class kind="class">Kate::ToolViewManager</class>
    <class kind="class">Kate::ViewManager</class>
    <class kind="class">Kate::DockViewBase</class>
    <member kind="function">
      <type>Application *</type>
      <name>application</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a0c120d4b8840a66250424a70b4b18bd9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DocumentManager *</type>
      <name>documentManager</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a2478bbdd758b006b4c2e7111604c1bf9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Kate</title>
    <filename>index.html</filename>
  </compound>
</tagfile>
